Can't figure out missing dependencies

2008-02-02
2013-04-11
  • Hartmut Goebel

    Hartmut Goebel - 2008-02-02

    Hello,

    in Bug #1879545 Eric wrote, there are missing dependencies, which is why freeming 0.9b15 is not running here.

    I made sure to use
    java version "1.5.0_11"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_11-b03)
    Java HotSpot(TM) Client VM (build 1.5.0_11-b03, mixed mode)

    tried to follow <http://freemind.sourceforge.net/wiki/index.php/FreeMind_on_Linux>
    but no success.

    How can I find out what dependencies are missing? Or what else is wrong?
    (I know it's beta, I try to help out fixing :-)

    Regards
    hartmut

     
    • Eric L.

      Eric L. - 2008-02-03

      Hi Hartmut,

      Eric writing...

      I reiterate what I've said in the bug: you're using a broken package and you need to get the package fixed, and it won't be me doing it.
      I've seen that you've reported a bug under http://qa.mandriva.com/show_bug.cgi?id=37401 and that's the right thing to do. BTW, there is a new version of the package available http://rpmfind.net/linux/RPM/mandriva/devel/cooker/i586/media/contrib/release/freemind-0.9.0-0.0.5mdv2008.1.i586.html. Not sure it will work properly (I've already spotted that groovy is missing as dependency, and there a few other very strange things), but you might try...

      Just to be clear: it's not that I don't want to help but there is nothing wrong with the software per se, or with my packaging, it's something wrong with Mandriva's package, so Mandriva needs to fix it.
      If you just want to get FreeMind 0.9.0.betaX to work, remove the freemind package from Mandriva and follow the UN*X method as described under http://freemind.sourceforge.net/wiki/index.php/FreeMind_on_Linux#On_any_UN.2AX_kind_of_system_.28also_Linux.29

      Hope this helps,
      Eric

       
    • Hartmut Goebel

      Hartmut Goebel - 2008-02-05

      Hi Eric,

      thanks for perseveringly pointing me to <http://freemind.sourceforge.net/wiki/index.php/FreeMind_on_Linux#On_any_UN.2AX_kind_of_system_.28also_Linux.29>
      I did not get there is also a 0.9-max package. I just tested 0.9-max and it looks good.

      So I will bug mandrive to make their homework.

      Regards
      +++hartmut

       
      • Eric L.

        Eric L. - 2008-02-05

        You can point them to me, I'm happy to help them package properly FreeMind :-P

        Eric

         

Log in to post a comment.